Summary: GSM AT interface library for OpenVox G400P GSM/CDMA cards
Name: libgsmat
Version: 1.1.1
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://www.chan-extra.org/index.php/Main_Page
Source0: libgsmat-%{version}.tar.bz2
Patch0: libgsmat-1.1.1-fix-buffer-overflow-on-clip-parsing.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

%description
libgsmat is an userspace library, part of the chan_extra project. It implements
routines for interfacing with OpenVox G400P GSM/CDMA cards through AT commands.

%package devel
Summary: Development files for libgsmat
Group: Development/Libraries
Requires: libgsmat = %{version}-%{release}

%description devel
Development files for libgsmat.

%prep
%setup0 -q -n %{name}
%patch0 -p1

%build
make libdir=%{_libdir} %{?_smp_mflags}

%install
rm -rf %{buildroot}
make libdir=%{_libdir} INSTALL_PREFIX=%{buildroot} install
# rm %{buildroot}%{_libdir}/libgsmat.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%{_libdir}/libgsmat.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgsmat.h
%{_libdir}/libgsmat.so
%{_libdir}/libgsmat.a

%changelog
* Mon Jul 18 2011 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.1.1-1
- Fix buffer overflow on extraction of caller ID from +CLIP notification

* Thu Jul 14 2011 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.1.1-0
- Initial packaging for Elastix.

